OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
ConvertPointDataGridGroupOp< PointDataTreeType, Group > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | LeafNode = typename PointDataTreeType::LeafNodeType
using | GroupIndex = AttributeSet::Descriptor::GroupIndex
using | LeafManagerT = typename tree::LeafManager< const PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange

## Public Member Functions
| ConvertPointDataGridGroupOp (Group &group, const std::vector< Index64 > &pointOffsets, const Index64 startOffset, const AttributeSet::Descriptor::GroupIndex index, const std::vector< Name > &includeGroups=std::vector< Name >(), const std::vector< Name > &excludeGroups=std::vector< Name >(), const bool inCoreOnly=false)
void | operator() (const LeafRangeT &range) const

## Public Attributes
Group & | mGroup
const std::vector< Index64 > & | mPointOffsets
const Index64 | mStartOffset
const GroupIndex | mIndex
const std::vector< std::string > & | mIncludeGroups
const std::vector< std::string > & | mExcludeGroups
const bool | mInCoreOnly

## Member Typedef Documentation

## ◆ GroupIndex

using GroupIndex = AttributeSet::Descriptor::GroupIndex

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<const PointDataTreeType>

## ◆ LeafNode

using LeafNode = typename PointDataTreeType::LeafNodeType

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## Constructor & Destructor Documentation

## ◆ ConvertPointDataGridGroupOp()

ConvertPointDataGridGroupOp | ( | Group & | group,
|  | const std::vector< Index64 > & | pointOffsets,
|  | const Index64 | startOffset,
|  | const AttributeSet::Descriptor::GroupIndex | index,
|  | const std::vector< Name > & | includeGroups = `std::vector<Name>()`,
|  | const std::vector< Name > & | excludeGroups = `std::vector<Name>()`,
|  | const bool | inCoreOnly = `false`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mExcludeGroups

const std::vector<std::string>& mExcludeGroups

## ◆ mGroup

Group& mGroup

## ◆ mIncludeGroups

const std::vector<std::string>& mIncludeGroups

## ◆ mInCoreOnly

const bool mInCoreOnly

## ◆ mIndex

const GroupIndex mIndex

## ◆ mPointOffsets

const std::vector<Index64>& mPointOffsets

## ◆ mStartOffset

const Index64 mStartOffset

The documentation for this struct was generated from the following file:

- PointConversion.h